Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.extra
Class PathFinder

    java.lang.Object
      com.saxonica.extra.PathFinder

All Implemented Interfaces:
  PatternFinder

    public class PathFinder

extends Object
implements PatternFinder

This interface enables a client to find all nodes in a document that match a particular pattern. In fact, it allows any subset of nodes in a document to be located. It is used specifically by the internal implementation of keys. In XSLT, the criterion for including nodes in a key is that they match an XSLT pattern. Internally, however, keys are used for a wider range of purposes, and the nodes indexed by the key are defined by a PatternFinder

Constructor Summary
`PathFinder(Expression path)`

Method Summary
`Expression` | `getSelectionExpression()` Get the underlying expression (usually a path expression or filter expression)
`SequenceIterator` | `selectNodes(DocumentInfo doc, XPathContext context)` Select nodes in a document using this PatternFinder.
`String` | `toString()` Get a string representation of the expression

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PathFinder

    public PathFinder(Expression path)

Method Detail

### selectNodes

    public SequenceIterator selectNodes(DocumentInfo doc,
                                        XPathContext context)
                                 throws XPathException

  Select nodes in a document using this PatternFinder.

  Specified by:
    `selectNodes` in interface `PatternFinder`
  Parameters:
    `doc` - the document node at the root of a tree
    `context` - the dynamic evaluation context
  Returns:
    an iterator over the selected nodes in the document.
  Throws:
    `XPathException`

### getSelectionExpression

    public Expression getSelectionExpression()

  Get the underlying expression (usually a path expression or filter expression)

### toString

    public String toString()

  Get a string representation of the expression

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.